<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.w3.org/1999/XSL/Transform http://www.w3.org/2007/schema-for-xslt20.xsd
	http://schemas.xmlsoap.org/ws/2004/09/policy http://schemas.xmlsoap.org/ws/2004/09/policy/ws-policy.xsd"
	xmlns:wsitserver="http://schemas.sun.com/2006/03/wss/server"
	xmlns:wsitclient="http://schemas.sun.com/2006/03/wss/client"
	xmlns:wspp="http://java.sun.com/xml/ns/wsit/policy" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy">

	<!-- This stylesheet transforms the server-side wsit-configuration for truststores 
		and keystores to a client side configuration. -->
		
	<!-- FIXME: This stylesheet should be parameterized with the file locations 
		and passwords. -->
	<xsl:template match="wsp:Policy//wsitserver:KeyStore"
		priority="0.5">
		<wsitclient:KeyStore wspp:visibility="private"
			location="keystore.jks" alias="clientKey" type="JKS"
			storepass="changeit"/>
	</xsl:template>

	<xsl:template match="wsp:Policy//wsitserver:TrustStore">
		<wsitclient:TrustStore wspp:visibility="private"
			peeralias="serverCert" location="truststore.jks" storepass="changeit"/>
	</xsl:template>

	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
</xsl:transform>